httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ben Laurie <...@gonzo.ben.algroup.co.uk>
Subject Re: Protocol forcing patch
Date Mon, 06 Jan 1997 01:09:02 GMT
Alexei Kosut wrote:
> 
> On Sun, 5 Jan 1997, Ben Laurie wrote:
> 
> > This patch allows you to force a response in a particular protocol by setting
> > the environment variable "FORCE_PROTOCOL" to the desired protocol, as in:
> > 
> > BrowserMatch AOL FORCE_PROTOCOL=HTTP/1.0
> 
> I think this is a Bad Idea. It works for HTTP/1.0, but if I say
> force_protocol=HTTP/3.7, there is 0% chance that Apache will produce
> the correct results. I think it's better to just allow HTTP/1.0, as
> opposed to HTTP/1.1.

Well, yes. And HTTP/0.9 doesn't work correctly, either. I did have thoughts of
actually checking the protocol against the ones we could generate, but then, on
the other hand, all we want is a way to force 1.0, so what the hell.

I'll do a revised version tomorrow.

Cheers,

Ben.

-- 
Ben Laurie                Phone: +44 (181) 994 6435  Email: ben@algroup.co.uk
Freelance Consultant and  Fax:   +44 (181) 994 6472
Technical Director        URL: http://www.algroup.co.uk/Apache-SSL
A.L. Digital Ltd,         Apache Group member (http://www.apache.org)
London, England.          Apache-SSL author

Mime
View raw message